Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.base
Interface IEssException

All Superinterfaces:
  IEssBaseObject

All Known Implementing Classes:
  EssException

public interface IEssException
extends IEssBaseObject

The IEssException interface.

Field Summary
`static int` | `ERROR_INVALID_SESSION_ID` Error: Invalid session id.
`static int` | `ERROR_INVALID_USER_OR_PASSWORD` Error: Invalid user name or password.
`static int` | `ERROR_NATIVE_FROM_OLAP_SERVER` Error: OLAP server native error.
`static int` | `ERROR_NEW_PROP_VALUE_SAME_AS_OLD` Error: New value for a property cannot be same as the old.
`static int` | `ERROR_OBJECT_ALREADY_EXISTS` Error: Object already exists.
`static int` | `ERROR_OBJECT_IS_CLOSED` Error: Object is closed.
`static int` | `ERROR_OBJECT_NOT_FOUND` Error: Object is not found.
`static int` | `ERROR_UNCATEGORIZED` The error is not categorized yet.

Method Summary
`int` | `getCode()` Gets the error code.
`java.lang.String` | `getMessage()` Gets the error message.
`int` | `getNativeCode()` Gets the native error code.
`java.lang.String` | `getNativeMessage()` Gets the native error message.
`void` | `setCode(int code)` Sets the error code.
`void` | `setMessage(java.lang.String message)` Sets the error message.
`void` | `setNativeCode(int code)` Sets the native error code.
`void` | `setNativeMessage(java.lang.String message)` Sets the native error message.

Field Detail

### ERROR_OBJECT_NOT_FOUND

    public static final int ERROR_OBJECT_NOT_FOUND

  Error: Object is not found.

  See Also:
    Constant Field Values

### ERROR_OBJECT_ALREADY_EXISTS

    public static final int ERROR_OBJECT_ALREADY_EXISTS

  Error: Object already exists.

  See Also:
    Constant Field Values

### ERROR_OBJECT_IS_CLOSED

    public static final int ERROR_OBJECT_IS_CLOSED

  Error: Object is closed.

  See Also:
    Constant Field Values

### ERROR_NATIVE_FROM_OLAP_SERVER

    public static final int ERROR_NATIVE_FROM_OLAP_SERVER

  Error: OLAP server native error. Use getNativeCode()/getNativeMessage() to get the native error code/message. For a list of error codes and messages from OLAP server, refer the Essbase OLAP server documentation.

  See Also:
    Constant Field Values

### ERROR_UNCATEGORIZED

    public static final int ERROR_UNCATEGORIZED

  The error is not categorized yet. Use getMessage() only for details.

  See Also:
    Constant Field Values

### ERROR_INVALID_SESSION_ID

    public static final int ERROR_INVALID_SESSION_ID

  Error: Invalid session id. This error will occur if the user got signed off from the enterprise server by the administrator, or by time out, or if the enterprise server is restarted while the user session is in progress.

  See Also:
    Constant Field Values

### ERROR_NEW_PROP_VALUE_SAME_AS_OLD

    public static final int ERROR_NEW_PROP_VALUE_SAME_AS_OLD

  Error: New value for a property cannot be same as the old. For eg, new value for property password cannot be same as the old password.

  See Also:
    Constant Field Values

### ERROR_INVALID_USER_OR_PASSWORD

    public static final int ERROR_INVALID_USER_OR_PASSWORD

  Error: Invalid user name or password.

  See Also:
    Constant Field Values

Method Detail

### getCode

    public int getCode()

  Gets the error code.

  Returns:
    The error code.

### setCode

    public void setCode(int code)

  Sets the error code.

  Parameters:
    `code` - The error code.

### getMessage

    public java.lang.String getMessage()

  Gets the error message.

  Returns:
    The error message.

### setMessage

    public void setMessage(java.lang.String message)

  Sets the error message.

  Parameters:
    `message` - The error message.

### getNativeCode

    public int getNativeCode()

  Gets the native error code.

  Returns:
    The native error code.

### setNativeCode

    public void setNativeCode(int code)

  Sets the native error code.

  Parameters:
    `code` - The native error code.

### getNativeMessage

    public java.lang.String getNativeMessage()

  Gets the native error message.

  Returns:
    The native error message.

### setNativeMessage

    public void setNativeMessage(java.lang.String message)

  Sets the native error message.

  Parameters:
    `message` - The native error message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD